Tickets
Esta página no está disponible en español. Se muestra la versión en inglés.
Get a list of tickets
Use this method to get a list of the tickets submitted by a client to a help desk system. The third-party solution for providing help desk services, [SupportPal](https://www.supportpal.com/), enables you to manage tickets submitted by clients via the Trader's Room.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
Sets the limit
Range
1 <= value <= 1000Default
10offset?integer
Sets the offset
Range
0 <= valueDefault
0sort_order?string
Sorts the items in ascending or descending order
Default
"desc"Value in
- "asc"
- "desc"
sort_by?string
Sorts the items by a specified value
Default
"createTime"Value in
- "createTime"
- "id"
- "number"
- "subject"
filter?
Filters the items by a specified value
Header Parameters
accept-language?string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/my/tickets?limit=10&offset=0&sort_order=desc" \ -H "accept-language: ja"{ "total": 1, "data": [ { "id": 1, "number": "222333", "status": { "id": 1, "name": "Opened" }, "subject": "Bug", "lastReply": { "id": 1, "text": "Lorem ipsum", "attachments": [ { "id": 1, "createTime": "2022-01-01T00:00:00+00:00", "updateTime": "2022-01-01T00:00:00+00:00", "directFrontendUrl": "http://example.com/main-room/", "originalName": "Test.png", "feature": { "id": 1, "createTime": "2022-01-01T00:00:00+00:00", "updateTime": "2022-01-01T00:00:00+00:00", "filename": "filename.png", "mime": "png", "size": "2kb" } } ], "ticketId": 1, "createTime": "2022-01-01T00:00:00+00:00", "updateTime": "2022-01-01T00:00:00+00:00", "isSentByUser": true }, "createTime": "2022-01-01T00:00:00+00:00" } ]}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Not Found" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}